Bug 728799 - Does C-K ever clean/compress/flush /var/log/ConsoleKit/history ????? [NEEDINFO]
Summary: Does C-K ever clean/compress/flush /var/log/ConsoleKit/history ?????
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ConsoleKit
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-07 16:57 UTC by Tom London
Modified: 2015-02-18 13:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 13:36:31 UTC
dan.mashal: needinfo? (lpoetter)


Attachments (Terms of Use)

Description Tom London 2011-08-07 16:57:21 UTC
Description of problem:
Nothing on my systems appears to be 'cleansing' /var/log/ConsoleKit/history.

I noticed messages in ~/.xsession-errors from ck-history complaining about kernel boot lines similar to:

** (ck-history:2013): WARNING **: Unable to parse session added event: seat-id='Seat1' session-id='Session1' session-type='LoginWindow' session-x11-display=':0' session-x11-display-device='/dev/tty7' session-display-device='' session-remote-host-name='' session-is-local=TRUE session-un1269014714.725 type=SYSTEM_START : kernel-release='2.6.34-0.10.rc1.git0.fc14.x86_64' boot-arguments='ro root=/dev/mapper/vg_tlondon-lv_root  LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet intel_iommu=igfx_off'

Being that I haven't run such a kernel in quiet a while, I located the history file that ck-history reads ('/var/log/ConsoleKit/history') and noticed that it was over 14000 lines long.

So this file appears to 'grow and grow'.

Can't image all this 'old history' is of much use.

I manually cleared the file out (by moving, creating one with the last few lines of the existing one) and all appears OK (with no ck-history messages in ~/.xsession-errors).

So, what is the policy for compressing this file?  Or is this package due to be replaced with .... ?

[root@tlondon ConsoleKit]# ls -l
total 2348
-rw-r--r--. 1 root root   10166 Aug  7 08:55 history
-rw-r--r--. 1 root root 2386847 Aug  5 17:33 history.huge
[root@tlondon ConsoleKit]# wc *
     58     478   10166 history
  14475  115357 2386847 history.huge
  14533  115835 2397013 total
[root@tlondon ConsoleKit]# 


Version-Release number of selected component (if applicable):
ConsoleKit-0.4.5-1.fc15.x86_64

How reproducible:
Yes.  All the time

Steps to Reproduce:
1. look at /var/log/ConsoleKit/history
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Fedora Admin XMLRPC Client 2013-02-15 04:14:02 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Dan Mashal 2013-02-18 05:05:01 UTC
This is a Lennart question.

Comment 3 Fedora End Of Life 2013-04-03 19:31:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Fedora End Of Life 2015-01-09 21:51:47 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-02-18 13:36:31 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.